sysdesc_snmp_test

System Description – SNMP Test

When starting Easy SP a synchronization performs with the map database in SNMPc. A polling process is added for every device in SNMPc that has an icon that corresponds to an icon on a Status Test in Easy SP. Devices are polled at regular intervals and status information is sent to SNMPc as internal traps. Every midnight a new synchronization performs with SNMPc to check if any devices should be added/removed from the polling processes.

If not all monitored objects in a Status Test is passed, an alarmNew-trap is sent to SNMPc along with status information. All polled devices/instances has uniq trapId´s, and a fired trap event is bound to the corresponding device in SNMPc. An alarmCleared-trap is sent if there exist an alarm on a device/instance, and all monitored objects is passed in the Status Test.

A Status Tests can be of the type Single Instance or Table Instance. All data types (integers, counters and string values) can be monitored.

We recommend you to read the Getting Started section now.


sysdesc_file_system_test

System Description – File System Test

The File System Test monitors systems and applications by regular checking how files and folders changes. You must first find out how the application reads/writes to different files/folders under normal and unnormal situations. After that you set up test conditions on these files/folders. The following tests can be performed:

- has a file been Modified/Not Modfied.

- has a file been Accessed/Not Accessed.

- is a file Greater Than/Less Than x bytes.

- is a certain text string to be found in a file.

- does a file Exist/Not Exist.

- has a folder been Modified/Not Modified (files added/removed).

- is a folder Greater Than/Less Than x bytes.

- has a folder More Than/Less Than x files.

In general you should be running NTFS on the file systems you would like to test on. You should also make sure that the Easy SP Service process has properly access rights on the files/folders you shall monitor.

Figure 1. Easy Status Poller Service Properties

You may use Stored User Names and Passwords to solves access to computers that reside in other domains.

Poll interval can be set up individual per file/folder. After a test is performed the status (failed or pass) is sent to SNMPc as an SNMP trap. There are three methods to choose from when sending a trap:

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node you should use the trap community string when binding to a node in SNMPc.

To properly decode the traps in SNMPc you must copy the MIB file easysoft.mib from the Easy SP install directory to SNMPc Mibfiles. Add the file to the compile list and recompile the MIB database in SNMPc.


sysdesc_win_eventt

System Description – Windows Event

It’s possible to send Windows Event messages to SNMPc as SNMP Traps by using the Windows utility ‘evntcmd and evntwin. But the format of the Windows Trap is difficult to match on as it includes the service name as part of the TRAP object ID. Due to that you may choose to use this “Windows Trap-wrapper feature”.

Castlerock has written a How-To-Guide that explains how the evntcmd and evntwin works.The document is named “Configuring Windows 2000 and XP Servers to send events”, and can be downloaded from their Support Area.


getsta_snmp_test

Getting Started – SNMP Test

Step 1. Before you add any test we recommend you to use SNMPc to find the SNMP object(s) you would like to monitor, and what threshold value(s) you should trigger on. If the object(s) is columnar-objects you choose ‘Table Instance’ otherwise ‘Single Instance’.

Step 2. Make sure the MIB file is compiled. Go to ‘MIB Database’ and browse the MIB Tree for the object(s). If the object is not to be found you must add the MIB file. Adding a MIB file is the same process as in SNMPc - copy the file to the Mibfiles directory and do a new compilation.

Step 3. Add Test. Click ‘Add’ and give the test a descriptive name. Click ‘>>’ to bring up the MIB Tree and choose object(s) by right-clicking in the MIB Tree. Choose an icon, poll interval and set up threshold values.

As a first step we recommend you to only execute this test on one single device in SNMPc (edit one of the devices of interest in SNMP to a uniq icon). After the test is running properly (no Poll Errors) you edit to the icon that matches all the devices of interest in SNMPc.

Step 4. To properly decode the Poll Status traps in SNMPc you must copy the MIB file easysoft.mib from the Easy SP install directory to SNMPc Mibfiles. Add the file to the compile list and recompile the MIB database in SNMPc.

Step 5. Choose ‘Restart Polling’ on the File menu in Easy SP. Within one minute the matching devices will be displayed in the Poll List. Every device in the poll list has its own poll cycle. All polls is trottled through a queue.


file_menu

- Restart Polling…

Restarts all polling processes. A Hard Reset has the same effect as if you restart the Service. A Soft Reset is automatically performed every midnight.

If you have made changes, added/changed or removed any SNMP or File System Test, and would like to have these changes affected right now you should perform a Soft Reset.

- Clear Error Info

Clears error message on status bar.

- Service Control

From here you can Install/Uninstall and Start/Stop the Easy Status Poller Service.


Toolbar

The buttons on the toolbar is:

Undo any changes made in a form

Update the database now

General about database updates:

The database is updated every time you move from one form to another form. You can only undo changes before you move to another form.


snmp_poll_single

Single Instance - Test

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Icon Name

Runs the test on all devices in SNMPc that has this icon name. See below for how to enter a pattern-matching string.

Poll Interval

The polling interval in secs.

Trap Severity

Which severity to use when sending an alarmNew-trap to SNMPc.

Info Fail//Pass

Textual information we shall include in the trap. You can type any free text together with the variables $1 - $6. Each variable is replaced by the compared/computed value that is received from the device. Type $%6 if the computed value should be expressed in percent.

Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.

Name

Use this button to bring up the MIB Tree and choose object(s) by right-clicking in the MIB Tree. Five objects can be used to compare against threhols values, and two objects can be used to calculate a new value, which then is used to compare against a threshold value.

OK | Exp
= | equal (not case-sensitive on string values)
!= | not equal (not case-sensitive on string values)
< | less than
> | greater than
<= | less than or equal
>= | greater than or equal
<%> | must not differ more than x % aginst previous poll
<n> | must not differ more than x units aginst previous poll
>%< | must differ more than x % aginst previous poll
>n< | must differ more than x units aginst previous poll

Value

The threshold value to compare/calculate against. If ”<%>”, ”<n>”, ”>%< ” or ”>n<” is choosen this is the percent or unit value.

Comments

Comments about the test.

Rules for pattern-matching

The pattern-matching features allow you to use wildcard characters, character lists, or character ranges, in any combination, to match strings. The following table shows the characters allowed in pattern and what they match:

Characters | Matches in string pattern
? | Any single character.
* | Zero or more characters.
# | Any single digit (0-9).
[charlist] | Any single character in charlist.
[!charlist] | Any single character not in charlist.

A group of one or more characters (charlist) enclosed in brackets ([ ]) can be used to match any single character in string and can include almost any character code, including digits.

Note:

To match the special characters left bracket ([), question mark (?), number sign (#), and asterisk (*), enclose them in brackets. The right bracket (]) can't be used within a group to match itself, but it can be used outside a group as an individual character.

By using a hyphen (-) to separate the upper and lower bounds of the range, charlist can specify a range of characters. For example, [A-Z] results in a match if the corresponding character position in string contains any uppercase letters in the range A-Z. Multiple ranges are included within the brackets without delimiters.

Other important rules for pattern matching include the following:

An exclamation point (!) at the beginning of charlist means that a match is made if any character except the characters in charlist is found in string. When used outside brackets, the exclamation point matches itself.

A hyphen (-) can appear either at the beginning (after an exclamation point if one is used) or at the end of charlist to match itself. In any other location, the hyphen is used to identify a range of characters.

When a range of characters is specified, they must appear in ascending sort order (from lowest to highest). [A-Z] is a valid pattern, but [Z-A] is not.


snmp_poll_single_temp

Single Instance - Template

Test Name

A descriptive name of the test.

Poll Interval

The polling interval in secs.

Info Fail//Pass

Textual information we shall include in the trap. You can type any free text together with the variables $1 - $6. Each variable is replaced by the compared/computed value that is received from the device. Type $%6 if the computed value should be expressed in percent.

Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.

Name

Use this button to bring up the MIB Tree and choose object(s) by right-clicking in the MIB Tree. Five objects can be used to compare against threhols values, and two objects can be used to calculate a new value, which then is used to compare against a threshold value.

OK | Exp
= | equal (not case-sensitive on string values)
!= | not equal (not case-sensitive on string values)
< | less than
> | greater than
<= | less than or equal
>= | greater than or equal
<%> | must not differ more than x % aginst previous poll
<n> | must not differ more than x units aginst previous poll
>%< | must differ more than x % aginst previous poll
>n< | must differ more than x units aginst previous poll

Value

The threshold value to compare/calculate against. If ”<%>”, ”<n>”, ”>%< ” or ”>n<” is choosen this is the percent or unit value.

Comments

Comments about the test.

Rules for pattern-matching

The pattern-matching features allow you to use wildcard characters, character lists, or character ranges, in any combination, to match strings. The following table shows the characters allowed in pattern and what they match:

Characters | Matches in string pattern
? | Any single character.
* | Zero or more characters.
# | Any single digit (0-9).
[charlist] | Any single character in charlist.
[!charlist] | Any single character not in charlist.

A group of one or more characters (charlist) enclosed in brackets ([ ]) can be used to match any single character in string and can include almost any character code, including digits.

Note:

To match the special characters left bracket ([), question mark (?), number sign (#), and asterisk (*), enclose them in brackets. The right bracket (]) can't be used within a group to match itself, but it can be used outside a group as an individual character.

By using a hyphen (-) to separate the upper and lower bounds of the range, charlist can specify a range of characters. For example, [A-Z] results in a match if the corresponding character position in string contains any uppercase letters in the range A-Z. Multiple ranges are included within the brackets without delimiters.

Other important rules for pattern matching include the following:

An exclamation point (!) at the beginning of charlist means that a match is made if any character except the characters in charlist is found in string. When used outside brackets, the exclamation point matches itself.

A hyphen (-) can appear either at the beginning (after an exclamation point if one is used) or at the end of charlist to match itself. In any other location, the hyphen is used to identify a range of characters.

When a range of characters is specified, they must appear in ascending sort order (from lowest to highest). [A-Z] is a valid pattern, but [Z-A] is not.


snmp_poll_single_add

Single Instance - Add Object

Choose Object

Right-click in the MIB Tree to choose an object.

In the bottom you can see how the objects datatype is used internal.

Internal | SMI Types
Integer | INTEGER
 | Integer
 | Integer32
 | Gauge
 | Gauge32
 | Unsigned32
Counter | Counter
 | Counter32
 | Counter64
 | TimeTicks
Octet String | OCTET STRING
 | PhysAddress
 | Opaque
Display String | DisplayString
Object ID | OBJECT IDENTIFIER
IP Address | IpAddress

Note:

If you monitor on an enumerated integer, you should enter the integer value when setting up the threshold value.


snmp_poll_table

Table Instance - Test

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Icon Name

Runs the test on all devices in SNMPc that has this icon name. See below for how to enter a pattern-matching string.

Poll Interval

The polling interval in secs.

Trap Severity

Which severity to use when sending an alarmNew-trap to SNMPc.

Info Fail//Pass

Textual information we shall include in the trap. You can type any free text together with the variables $1 - $6. Each variable is replaced by the compared/computed value that is received from the device. Type $%6 if the computed value should be expressed in percent.

Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.

Name

Use this button to bring up the MIB Tree and choose object(s) by right-clicking in the MIB Tree. Three objects can be used as instance conditions, two objects can be used to compare against threhols values, and two objects can be used to calculate a new value, which then is used to compare against a threshold value.

Instance Condition

Three objects can be used to filter on which instances we should test on.

Each object can use ten different pattern-matching strings. The OR condition is applied for Equal (=), and the AND condition applied for Not Equal (!=). Between the three objects is the AND condition applied. The strings is not case-sensitive.

OK | Exp
= | equal (not case-sensitive on string values)
!= | not equal (not case-sensitive on string values)
< | less than
> | greater than
<= | less than or equal
>= | greater than or equal
<%> | must not differ more than x % aginst previous poll
<n> | must not differ more than x units aginst previous poll
>%< | must differ more than x % aginst previous poll
>n< | must differ more than x units aginst previous poll

Value

The threshold value to compare/calculate against. If ”<%>”, ”<n>”, ”>%< ” or ”>n<” is choosen this is the percent or unit value.

Comments

Comments about the test.

Rules for pattern-matching

The pattern-matching features allow you to use wildcard characters, character lists, or character ranges, in any combination, to match strings. The following table shows the characters allowed in pattern and what they match:

Characters | Matches in string pattern
? | Any single character.
* | Zero or more characters.
# | Any single digit (0-9).
[charlist] | Any single character in charlist.
[!charlist] | Any single character not in charlist.

A group of one or more characters (charlist) enclosed in brackets ([ ]) can be used to match any single character in string and can include almost any character code, including digits.

Note:

To match the special characters left bracket ([), question mark (?), number sign (#), and asterisk (*), enclose them in brackets. The right bracket (]) can't be used within a group to match itself, but it can be used outside a group as an individual character.

By using a hyphen (-) to separate the upper and lower bounds of the range, charlist can specify a range of characters. For example, [A-Z] results in a match if the corresponding character position in string contains any uppercase letters in the range A-Z. Multiple ranges are included within the brackets without delimiters.

Other important rules for pattern matching include the following:

An exclamation point (!) at the beginning of charlist means that a match is made if any character except the characters in charlist is found in string. When used outside brackets, the exclamation point matches itself.

A hyphen (-) can appear either at the beginning (after an exclamation point if one is used) or at the end of charlist to match itself. In any other location, the hyphen is used to identify a range of characters.

When a range of characters is specified, they must appear in ascending sort order (from lowest to highest). [A-Z] is a valid pattern, but [Z-A] is not.


snmp_poll_table_temp

Table Instance - Template

Test Name

A descriptive name of the test.

Poll Interval

The polling interval in secs.

Info Fail//Pass

Textual information we shall include in the trap. You can type any free text together with the variables $1 - $6. Each variable is replaced by the compared/computed value that is received from the device. Type $%6 if the computed value should be expressed in percent.

Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.

Name

Use this button to bring up the MIB Tree and choose object(s) by right-clicking in the MIB Tree. Three objects can be used as instance conditions, two objects can be used to compare against threhols values, and two objects can be used to calculate a new value, which then is used to compare against a threshold value.

Instance Condition

Three objects can be used to filter on which instances we should test on.

Each object can use ten different pattern-matching strings. The OR condition is applied for Equal (=), and the AND condition applied for Not Equal (!=). Between the three objects is the AND condition applied. The strings is not case-sensitive.

OK | Exp
= | equal (not case-sensitive on string values)
!= | not equal (not case-sensitive on string values)
< | less than
> | greater than
<= | less than or equal
>= | greater than or equal
<%> | must not differ more than x % aginst previous poll
<n> | must not differ more than x units aginst previous poll
>%< | must differ more than x % aginst previous poll
>n< | must differ more than x units aginst previous poll

Value

The threshold value to compare/calculate against. If ”<%>”, ”<n>”, ”>%< ” or ”>n<” is choosen this is the percent or unit value.

Comments

Comments about the test.

Rules for pattern-matching

The pattern-matching features allow you to use wildcard characters, character lists, or character ranges, in any combination, to match strings. The following table shows the characters allowed in pattern and what they match:

Characters | Matches in string pattern
? | Any single character.
* | Zero or more characters.
# | Any single digit (0-9).
[charlist] | Any single character in charlist.
[!charlist] | Any single character not in charlist.

A group of one or more characters (charlist) enclosed in brackets ([ ]) can be used to match any single character in string and can include almost any character code, including digits.

Note:

To match the special characters left bracket ([), question mark (?), number sign (#), and asterisk (*), enclose them in brackets. The right bracket (]) can't be used within a group to match itself, but it can be used outside a group as an individual character.

By using a hyphen (-) to separate the upper and lower bounds of the range, charlist can specify a range of characters. For example, [A-Z] results in a match if the corresponding character position in string contains any uppercase letters in the range A-Z. Multiple ranges are included within the brackets without delimiters.

Other important rules for pattern matching include the following:

An exclamation point (!) at the beginning of charlist means that a match is made if any character except the characters in charlist is found in string. When used outside brackets, the exclamation point matches itself.

A hyphen (-) can appear either at the beginning (after an exclamation point if one is used) or at the end of charlist to match itself. In any other location, the hyphen is used to identify a range of characters.

When a range of characters is specified, they must appear in ascending sort order (from lowest to highest). [A-Z] is a valid pattern, but [Z-A] is not.


snmp_poll_table_add

Table Instance - Add Object

Choose Object

Right-click in the MIB Tree to choose an object.

In the bottom you can see how the objects datatype is used internal.

Internal | SMI Types
Integer | INTEGER
 | Integer
 | Integer32
 | Gauge
 | Gauge32
 | Unsigned32
Counter | Counter
 | Counter32
 | Counter64
 | TimeTicks
Octet String | OCTET STRING
 | PhysAddress
 | Opaque
Display String | DisplayString
Object ID | OBJECT IDENTIFIER
IP Address | IpAddress

Note:

If you monitor on an enumerated integer, you should enter the integer value when setting up the threshold value.


snmp_poll_list

Poll List

List

Shows a list of all devices that is polled.

Test Name

Shows a list of devices that is polled by this test.

Device

Shows a list of tests that runs on this device.


snmp_poll_errors

Poll Errors

List

Shows a list of all polls where the device has responded with ‘noSuchName’, which means it could not reply on the queried object(s). Err Index show the first object in packet that caused the error.

Note:

Devices that not respond to a poll is not shown in the list. No action is taken for no response. No response should be monitored and handled with the regular polling in SNMPc.

Test Name

Shows a list of devices that is polled by this test.


snmp_mib_compile

MIB - Compile

To compile a MIB you should first move the MIB to the sub directory “Mibfiles”. Then you include the MIB in the list “MIBs to Compile” and click the Compile button. The standard.mib can not be removed, and should always be on top.

Compilation can be performed on MIBs written in both SMIv1 and SMIv2. Please contact us if you experience any problem or need assistence.

Note:

This is a “light” compiler, so you should not add more mibs then neccesary. If the compiler complains about “unknown identifier”, please make sure that each mib has a defined reference to mib-2 or enterprises (the import section is not working very well).

If you have serveral mibs from a vendor, you can concatenate the files into one file, but you must make sure that the load-order within the file is correct. Please contact us if you need any help.

Compile Log

Information about the compiling process.


snmp_mib_tree

MIB - Tree

Shows a TreeView of all Objects.

On the top level is the mgmt Tree (IETF), and the private Tree (Vendors).

On the second level is sub Trees for IETF MIBs and Vendors.

On the third level is the MIB objects.

Note:

The Internal Type shows how the data type is used internal.

Internal | SMI Types
Integer | INTEGER
 | Integer
 | Integer32
 | Gauge
 | Gauge32
 | Unsigned32
Counter | Counter
 | Counter32
 | Counter64
 | TimeTicks
Octet String | OCTET STRING
 | PhysAddress
 | Opaque
Display String | DisplayString
Object ID | OBJECT IDENTIFIER
IP Address | IpAddress


file_test_modified

File - Modified

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

File Path

Path to the file you would like to test on. Universal Naming Convention (UNC names) can be used.

ex.) \\servername\sharename\directory\filename.

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Should Be

If the file should be Modified or Not Modified between two poll intervals.

Compare Method

If we shall use time stamp or file length when testing.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail//Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.


file_test_accessed

File - Accessed

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

File Path

Path to the file you would like to test on. Universal Naming Convention (UNC names) can be used.

ex. \\servername\sharename\directory\filename.

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Should Be

If the file should be Accessed or Not Accessed between two poll intervals.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail/Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.


file_test_size

File - Size

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

File Path

Path to the file you would like to test on. Universal Naming Convention (UNC names) can be used.

ex.) \\servername\sharename\directory\filename.

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Should Be

If the file should be Equal, Not Equal, Less Than or Greater Than x bytes.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail/Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.


file_test_content

File - Content

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

File Path

Path to the file you would like to test on. Universal Naming Convention (UNC names) can be used.

ex.) \\servername\sharename\directory\filename.

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Search String

A pattern-matching string. See below for how to enter a pattern-matching string.

Case Sensitive

If we should perform a binary (case sensitive) or text (case less) comparision.

Should Be

If the Search String should Match or Not Match.

Search Method

Search From Beginning should be used if the file is rewritten at regular intervals.

Continue From Last Search should be used on files that grows. It could for example be a log file from a Tape backup system.

Note: When using this method the system also checks for file size, and if the size is less than previous check interval, the file will be checked from the beginning.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail/Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.

Rules for pattern-matching

The pattern-matching features allow you to use wildcard characters, character lists, or character ranges, in any combination, to match strings. The following table shows the characters allowed in pattern and what they match:

Characters | Matches in string pattern
? | Any single character.
* | Zero or more characters.
# | Any single digit (0-9).
[charlist] | Any single character in charlist.
[!charlist] | Any single character not in charlist.

A group of one or more characters (charlist) enclosed in brackets ([ ]) can be used to match any single character in string and can include almost any character code, including digits.

Note:

To match the special characters left bracket ([), question mark (?), number sign (#), and asterisk (*), enclose them in brackets. The right bracket (]) can't be used within a group to match itself, but it can be used outside a group as an individual character.

By using a hyphen (-) to separate the upper and lower bounds of the range, charlist can specify a range of characters. For example, [A-Z] results in a match if the corresponding character position in string contains any uppercase letters in the range A-Z. Multiple ranges are included within the brackets without delimiters.

Other important rules for pattern matching include the following:

An exclamation point (!) at the beginning of charlist means that a match is made if any character except the characters in charlist is found in string. When used outside brackets, the exclamation point matches itself.

A hyphen (-) can appear either at the beginning (after an exclamation point if one is used) or at the end of charlist to match itself. In any other location, the hyphen is used to identify a range of characters.

When a range of characters is specified, they must appear in ascending sort order (from lowest to highest). [A-Z] is a valid pattern, but [Z-A] is not.


file_test_exist

File - Exist

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

File Path

Path to the file you would like to test on. Universal Naming Convention (UNC names) can be used.

ex.) \\servername\sharename\directory\filename.

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Should

If the file should Exist or Not Exist.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail/Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.


folder_test_modified

Folder - Modified

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

Folder Path

Path to the folder you would like to test on. Universal Naming Convention (UNC names) can be used.

ex.) \\servername\sharename\directory.

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Should Be

If the folder should be Modified or Not Modified between two poll intervals (files added/removed).

Note: sub-folders below the path will not be checked.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail/Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.


folder_test_size

Folder - Size

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

Folder Path

Path to the folder you would like to test on. Universal Naming Convention (UNC names) can be used.

ex.) \\servername\sharename\directory.

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Include Sub Folders

If we shall search all sub folders.

Should Be

If the folder should be Less Than or Greater Than x bytes.

Filter

A pattern-matching string for file names. See below for how to enter a pattern-matching string. To match all files just enter *.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail/Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.

Rules for pattern-matching

The pattern-matching features allow you to use wildcard characters, character lists, or character ranges, in any combination, to match strings. The following table shows the characters allowed in pattern and what they match:

Characters | Matches in string pattern
? | Any single character.
* | Zero or more characters.
# | Any single digit (0-9).
[charlist] | Any single character in charlist.
[!charlist] | Any single character not in charlist.

A group of one or more characters (charlist) enclosed in brackets ([ ]) can be used to match any single character in string and can include almost any character code, including digits.

Note:

To match the special characters left bracket ([), question mark (?), number sign (#), and asterisk (*), enclose them in brackets. The right bracket (]) can't be used within a group to match itself, but it can be used outside a group as an individual character.

By using a hyphen (-) to separate the upper and lower bounds of the range, charlist can specify a range of characters. For example, [A-Z] results in a match if the corresponding character position in string contains any uppercase letters in the range A-Z. Multiple ranges are included within the brackets without delimiters.

Other important rules for pattern matching include the following:

An exclamation point (!) at the beginning of charlist means that a match is made if any character except the characters in charlist is found in string. When used outside brackets, the exclamation point matches itself.

A hyphen (-) can appear either at the beginning (after an exclamation point if one is used) or at the end of charlist to match itself. In any other location, the hyphen is used to identify a range of characters.

When a range of characters is specified, they must appear in ascending sort order (from lowest to highest). [A-Z] is a valid pattern, but [Z-A] is not.


folder_test_files

Folder - Files

Test Name

A descriptive name of the test.

Enabled

Enable/disable the test from the polling process.

Node IP Address

When sending a trap the Node IP Address is used as the sender (and the name of the test as the trap community string). This means that the trap will be bound to a node in SNMPc that has the same address. If more than one test is performed on the same node, you should also use the trap community string when binding to a node in SNMPc.

Monitoring Time

The days and hours you would like to perform tests. (To mark an area click the upper-left corner, press shift and click the lower-right corner).

Folder Path

Path to the folder you would like to test on. Universal Naming Convention (UNC names) can be used.

ex.) \\servername\sharename\directory

Poll Interval

A poll interval that is to be used in combination with the Monitoring Time.

Include Sub Folders

If we shall search all sub folders.

Should Be

If the folder should have Less Than or More Than x files.

Filter

A pattern-matching string for file names. See below for how to enter a pattern-matching string. To match all files just enter *.

Trap Method

There are three methods to choose from.

- alarmNew/alarmCleared:

- Sends a trap (alarmNew with uniqID) if testfailed.

- No more traps will be sent until testpass.

- Testpass sends a trap (alarmCleared with same ID) and severity=Normal.

- alarmSingle:

- Sends a trap after every test if testfailed.

- infoSingle:

- Sends a trap after every test regardless testpass or testfailed.

- Testpass will always have severity=Normal

Trap Severity

The severity to be used on test failed. Test pass will always use severity=Normal.

Info Fail/Pass

Textual information we shall include when sending the trap. Use two slash characters (//) to separate information sent upon testfailed / testpass. If you omit the // the same text will be sent for both testfailed and testpass.

Rules for pattern-matching

The pattern-matching features allow you to use wildcard characters, character lists, or character ranges, in any combination, to match strings. The following table shows the characters allowed in pattern and what they match:

Characters | Matches in string pattern
? | Any single character.
* | Zero or more characters.
# | Any single digit (0-9).
[charlist] | Any single character in charlist.
[!charlist] | Any single character not in charlist.

A group of one or more characters (charlist) enclosed in brackets ([ ]) can be used to match any single character in string and can include almost any character code, including digits.

Note:

To match the special characters left bracket ([), question mark (?), number sign (#), and asterisk (*), enclose them in brackets. The right bracket (]) can't be used within a group to match itself, but it can be used outside a group as an individual character.

By using a hyphen (-) to separate the upper and lower bounds of the range, charlist can specify a range of characters. For example, [A-Z] results in a match if the corresponding character position in string contains any uppercase letters in the range A-Z. Multiple ranges are included within the brackets without delimiters.

Other important rules for pattern matching include the following:

An exclamation point (!) at the beginning of charlist means that a match is made if any character except the characters in charlist is found in string. When used outside brackets, the exclamation point matches itself.

A hyphen (-) can appear either at the beginning (after an exclamation point if one is used) or at the end of charlist to match itself. In any other location, the hyphen is used to identify a range of characters.

When a range of characters is specified, they must appear in ascending sort order (from lowest to highest). [A-Z] is a valid pattern, but [Z-A] is not.


file_prop

File Test - Properties

Time Out

Seconds to wait for a response.

Retries

Retries before giving up.

Send Trap If No Response

If there is no response from a test an SNMP Trap (alarmNew with configured trap severity) will be sent to SNMPc. The reason for no response could be:

- no network path access

- access denied

- folder does not exist

- file does not exist

Note: When testing on File Exist the No Response trap will never be sent.


file_test_errors

File Test - Errors

A No Response will always be logged here. The reason for no response could be:

- no network path access

- access denied

- folder does not exist

- file does not exist

Note: When testing on File Exist a No Response will never be logged here.


win_event_trapsrv

Trap Server

It’s possible to send Windows Event messages to SNMPc as SNMP Traps by using the Windows utility ‘evntcmd and evntwin. But the format of the Windows Trap is difficult to match on as it includes the service name as part of the TRAP object ID. That’s the reason to implementing this “Windows Trap-wrapper feature”.

In the following example we assume that Easy SP and SNMPc is running on the same computer.

To send Windows Event messages as SNMP Traps you should do this (on every server):

1. Make sure the SNMP Service is started and configured with the Easy Status Poller’s IP address as the Trap host.

2. Open c:\windows\system32\drivers\etc\services. Change the snmp trap port to 163 (assuming you listen on that port in Easy SP).

3. Restart the SNMP Service.

4. Open a cmd window and type evntwin. Add the events that should be forwarded.

5.On the SNMPc computer the easysoft.mib must be compiled.

Note:

Changes made on a form with the service icon [image] on the tab, means that you must restart the service (use the Service Control button on the toolbar) before the changes will be efftected.

Bind To Address

The IP address of the computer running the Easy Status Poller Service.

Listening Port

The UDP port to receive Windows Event messages on (default here is 163).

Community Name

The community string to be used for traps.

Enabled

Starts the Trap Server when the Easy Status Poller Service starts up.

Status

Information about the Trap Server.


win_event_filter

Event Filter

Event types that should be forwarded to SNMPc as SNMP traps. SNMPc must have the easysoft.mib compiled. The trap name is alarmWinEvent and can be found beneath the tree easySpNotification.

Note:

Changes made on a form with the service icon [image] on the tab, means that you must restart the service (use the Service Control button on the toolbar) before the changes will be efftected.


settings_snmp_agent

SNMP Agent

The SNMP protocol is used for communication between the Easy Status Poller Console and the Easy Status Poller Service. This means that the SNMP Agent must be started. To avoid conflicts with the normal agent port 161, a default port number of 1618 is used.

Note:

Changes made on a form with the service icon [image] on the tab, means that you must restart the service before the changes will be efftected. You must also restart the Console if you change the SNMP port.

Bind To Address

The IP address of the computer running the Easy Status Poller Service.

Listening Port

The UDP port to listening on (normally 161, but default here is 1618).

Get Community Name

The community string to be used for read operations.

Set Community Name

The community string to be used for write operations.

Enabled

Starts the SNMP Agent when the Easy Status Poller Service starts up.

Status

Information about the SNMP Agent.


settings_general

General

Trap Receiver Address

The receivers address for status polling traps. Normally 127.0.0.1 for sending to SNMPc.

Trap Receiver Port

The receivers port for status polling traps. Normally 162.

Date Format

The format to be used in log files.

Delete Log Entries

Set the number of days entries should be kept in the log files. After this period they are automatically deleted.

Daily Backup

Makes a copy of the easysp.mdb to the sub directory Backup.

Debug Mode

Saves debugging information to the sub directory Debug. The sub directory is cleared every midnight.

Max Polls Per Sec

Every device in the poll list has it’s on poll cycle. All polls is trottled through a queue. The queue is controlled by this parameter.


logfiles_snmp_test

Log Files - SNMP Test

Shows the traps that has been sent to SNMPc. Sorted descending on Time.

(click on a column header to change the sort order.)

Trap Type

Filter for type of trap.

Test Name

Filter for a certain test.

Device

Filter for a certain device name.


logfiles_file_system_test

Log Files - File System Test

Shows the traps that has been sent to SNMPc. Sorted descending on Time.

(click on a column header to change the sort order.)

Trap Type

Filter for type of trap.

Test Name

Filter for a certain test.

Test Type

Filter for type of test.


logfiles_windows_event

Log Files - Windows Event

Shows the traps that has been sent to SNMPc. Sorted descending on Time.

(click on a column header to change the sort order.)

Type

Filter for type of event.

Source

Filter for a certain application.

Computer

Filter for a certain computer.


Statusbar

The statusbar shows:

- a status message from Easy Status Poller Service (refreshed every 5 secs)

- the number of polled SNMP devices

- up time since the Easy Status Poller Service was last restarted


stored_user_names

Stored User Names and Passwords

Stored User Names and Passwords obtains its information in two ways: explicit creation and learning from the user. When users enter a user name and password for a target computer or domain, that information is stored and used when the users attempt to log on to an appropriate computer. If no stored information is available and users supply a user name and password, they have the ability to save the information. If the user decides to save the information, Stored User Names and Passwords then receives and stores it.

When Windows XP or a member of the Windows Server 2003 family attempts to connect to a new computer on the network, it supplies the current user name and password to the computer. If this is not sufficient to provide access, Stored User Names and Passwords will attempt to supply the necessary user name and password. All stored user names and passwords will be examined, from most specific to least specific as appropriate to the resource, and the connection will be attempted with those user names and passwords in that order. Because user names and passwords are read and applied in order from most to least specific, no more than one user name and password can be stored for each individual target or domain.

Stored User Names and Passwords also allows the user to save the supplied user name and password for reuse. This information is stored in a secure part of the user's profile and cannot be accessed by other users. If the user is configured to use a single profile across the enterprise, the stored user names and passwords will be retained wherever the user logs on to the network.

See HowToManageStoredUserNames.pdf for more info.